summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2012-09-23 12:31:28 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-09-25 00:12:30 -0400
commitb49c32a42d5f85d7a16278aff4d82605e1265472 (patch)
tree7f6858bb4fb21bcf4e389d9321bf689710aaec22
parent0440891338886317e6826b08126139a8bae0f785 (diff)
downloadslackbuilds-b49c32a42d5f85d7a16278aff4d82605e1265472.tar.gz
slackbuilds-b49c32a42d5f85d7a16278aff4d82605e1265472.tar.xz
perl/perl-JSON: Added (perl module)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-JSON/README1
-rw-r--r--perl/perl-JSON/perl-JSON.SlackBuild106
-rw-r--r--perl/perl-JSON/perl-JSON.info10
-rw-r--r--perl/perl-JSON/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/perl/perl-JSON/README b/perl/perl-JSON/README
new file mode 100644
index 0000000000..8d243c1953
--- /dev/null
+++ b/perl/perl-JSON/README
@@ -0,0 +1 @@
+perl implementation of JSON encoder/decoder
diff --git a/perl/perl-JSON/perl-JSON.SlackBuild b/perl/perl-JSON/perl-JSON.SlackBuild
new file mode 100644
index 0000000000..2986efc2b3
--- /dev/null
+++ b/perl/perl-JSON/perl-JSON.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for perl-JSON
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-JSON
+VERSION=${VERSION:-2.53}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=JSON
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-JSON/perl-JSON.info b/perl/perl-JSON/perl-JSON.info
new file mode 100644
index 0000000000..860a8d522f
--- /dev/null
+++ b/perl/perl-JSON/perl-JSON.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-JSON"
+VERSION="2.53"
+HOMEPAGE="https://github.com/makamaka/JSON"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MA/MAKAMAKA/JSON-2.53.tar.gz"
+MD5SUM="7db1be00d44414c4962eeac222395a76"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
diff --git a/perl/perl-JSON/slack-desc b/perl/perl-JSON/slack-desc
new file mode 100644
index 0000000000..261079f2e1
--- /dev/null
+++ b/perl/perl-JSON/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-JSON: perl-JSON (perl module)
+perl-JSON:
+perl-JSON: perl implementation of JSON encoder/decoder
+perl-JSON:
+perl-JSON:
+perl-JSON:
+perl-JSON:
+perl-JSON:
+perl-JSON:
+perl-JSON:
+perl-JSON: